function y = registra(durata)
%REGISTRA Registra un audio di 5 secondi, o della durata specificata. 
%

if ~exist('durata', 'var')
    durata = 5;
else
    if (durata <= 0) || ~isscalar(durata)
        error('Il parametro durata deve essere un numero positivo');
    end
end

recorder = audiorecorder(44100, 16, 1);

fprintf('Inizio della regitrazione ... ');
recordblocking(recorder, durata);
fprintf('completata\n');

y = getaudiodata(recorder);

end